export declare type Store<T> = {
    duration: number;
    frames: T[];
    cursor: number;
    loop: boolean;
} & ({
    playing: true;
    startTime: number;
    startCursor: number;
} | {
    playing: false;
    startTime: null;
    startCursor: null;
});
export declare const getDefaultState: <T>(frames: T[] | undefined, duration: number, autoplay?: boolean) => Store<T>;
