export declare const usePlayback: <T>(frames: T[]) => [T | null, IPlayBack<T>];
interface IPlayBack<T> {
    playing: boolean;
    getPrev: () => void;
    getNext: () => void;
    playPB: () => void;
    pausePB: () => void;
    resetPB: () => void;
    setFPS: (fps: number) => void;
    setDuration: (duration: number) => void;
    clearPB: () => void;
    pushFrames: (frames: T[]) => void;
}
export {};
