export declare type Store<T> = {
    fpsLimit: number;
    duration: number | undefined;
    frames: T[];
    cursor: number;
} & ({
    playing: true;
    startTime: number;
    startCursor: number;
} | {
    playing: false;
    startTime: null;
    startCursor: null;
});
export declare const getDefaultState: <T>(frames?: T[], fpsLimit?: number, duration?: number | undefined) => Store<T>;
